Loading...
Searching...
No Matches
Catch::Detail::IsStreamInsertable< T > Class Template Reference

`#include <catch_amalgamated.hpp>`

## Static Public Attributes

static const bool | value = decltype(test<std::ostream, const T&>(0))::value

## Static Private Member Functions

template<typename Stream, typename U>
static auto | test (int) -> decltype(std::declval< Stream & >()<< std::declval< U >(), std::true_type())
template<typename, typename>
static auto | test (...) -> std::false_type

## Member Function Documentation

## test() [1/2]

template<typename T>
template<typename, typename>

static auto Catch::Detail::IsStreamInsertable< T >::test | ( |  | ... | ) | -> std::false_type

staticprivate

## test() [2/2]

template<typename T>
template<typename Stream, typename U>

static auto Catch::Detail::IsStreamInsertable< T >::test | ( | int |  | ) | -> decltype(std::declval< Stream & >()<< std::declval< U >(), std::true_type())

staticprivate

## Member Data Documentation

## value

template<typename T>

const bool Catch::Detail::IsStreamInsertable< T >::value = decltype(test<std::ostream, const T&>(0))::value

static

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp